=== debian/changelog ===
dublin-traceroute (0.3-3) unstable; urgency=medium

  * Add dependencies on libdulintraceroute0 (Closes: #857162)

 -- Federico Ceratto <federico@debian.org>  Fri, 17 Mar 2017 10:34:42 +0000

dublin-traceroute (0.3-2) unstable; urgency=medium

  * Releasing v. 0.3-2 to Unstable

 -- Federico Ceratto <federico@debian.org>  Sat, 09 Jul 2016 12:04:42 +0100

dublin-traceroute (0.3-1) experimental; urgency=medium

  * Initial release (Closes: #818284)

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Jun 2016 12:46:13 +0100
