=== debian/changelog ===
dublin-traceroute (0.4.2-3) unstable; urgency=medium

  * Update libtins version (Closes: #1069986)

 -- Federico Ceratto <federico@debian.org>  Sun, 28 Apr 2024 12:53:43 +0200

dublin-traceroute (0.4.2-2) unstable; urgency=medium

  * Update dependencies (Closes: #894345)

 -- Federico Ceratto <federico@debian.org>  Thu, 27 Sep 2018 00:49:40 +0100

dublin-traceroute (0.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Oct 2017 19:26:04 +0100

dublin-traceroute (0.4.0-2) experimental; urgency=medium

  * Set strict version on libdublintraceroute0 dependency

 -- Federico Ceratto <federico@debian.org>  Thu, 09 Feb 2017 20:26:43 +0000

dublin-traceroute (0.4.0-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 16 Jan 2017 22:04:47 +0000
