=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: net
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper-compat (= 13),
  cmake,
  libpcap-dev,
- libtins3.4 (>=3.4-2),
- libtins-dev (>=3.4-2),
+ libssl-dev,
+ libtins4.5 (>= 4.5),
+ libtins-dev (>= 4.5),
  pkg-config,
  libjsoncpp-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://dublin-traceroute.net
-Vcs-Git: https://anonscm.debian.org/collab-maint/dublin-traceroute.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dublin-traceroute.git
+Vcs-Browser: https://salsa.debian.org/debian/dublin-traceroute
+Vcs-Git: https://salsa.debian.org/debian/dublin-traceroute.git
 
 Package: dublin-traceroute
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdublintraceroute0 (= ${binary:Version})
+Recommends: libcap2-bin
 Description: NAT-aware multipath tracerouting tool
  Dublin Traceroute uses the techniques invented by the authors of
  Paris-traceroute to enumerate the paths of ECMP flow-based load balancing,
@@ -26,6 +28,7 @@
 
 Package: libdublintraceroute0
 Architecture: any
+Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: NAT-aware multipath tracerouting tool (library)
  Dublin Traceroute uses the techniques invented by the authors of
@@ -37,7 +40,11 @@
 
 Package: libdublintraceroute-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdublintraceroute0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libdublintraceroute0 (= ${binary:Version}),
+ libjsoncpp-dev,
+ libtins-dev
+Section: libdevel
 Description: NAT-aware multipath tracerouting tool (dev)
  Dublin Traceroute uses the techniques invented by the authors of
  Paris-traceroute to enumerate the paths of ECMP flow-based load balancing,
