=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/obj-x86_64-linux-gnu --dpkg-shlibdeps-params=--ignore-missing-info
